Groovy 1.7.0

## groovy.swing.factory
Class GridBagFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.LayoutFactory
                  groovy.swing.factory.GridBagFactory

    class GridBagFactory
    extends LayoutFactory

Constructor Summary
`GridBagFactory()`

Method Summary
`void` | `addLayoutProperties(def context)`
`static Object` | `extractAttribute(Map attrs, String name, Class type)`
`static void` | `processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

Methods inherited from class LayoutFactory
addLayoutProperties, addLayoutProperties, constraintsAttributeDelegate, getLayoutTarget, newInstance, setParent

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GridBagFactory

    public GridBagFactory()

Method Detail

### addLayoutProperties

    public void addLayoutProperties(def context)

### extractAttribute

    public static Object extractAttribute(Map attrs, String name, Class type)

  return:
    null if not found. null as a 'not found' works because all attrs except insets are primitive types, and insets will crash if set to null

### processGridBagConstraintsAttributes

    public static void processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.